<?php

namespace App\Generated\V1_1\Messages\Share;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class PairVipCheckMessage extends Message
{
    use ValueHelper;

    protected $inviteId;
    protected $result;

    /**
     * @return int
     */
    public function getInviteId()
    {
        return $this->inviteId;
    }

    public function requestRules()
    {
        return [
            ['inviteId', 'invite_id', 'bail|integer', Constants::INTEGER, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
